package in.cdac.medinfo.csnotk.csnolib.disb.model;

import java.io.Serializable;

public class CompositionDetail implements Serializable {
	private static final long serialVersionUID = 1L;

	private String id;

	private String substanceStrength;

	private String unit;

	private String unitSctid;

	private GenericDrug genericDrug;

	private SubstanceDetail substanceDetail;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getSubstanceStrength() {
		return substanceStrength;
	}

	public void setSubstanceStrength(String substanceStrength) {
		this.substanceStrength = substanceStrength;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getUnitSctid() {
		return unitSctid;
	}

	public void setUnitSctid(String unitSctid) {
		this.unitSctid = unitSctid;
	}

	public GenericDrug getGenericDrug() {
		return genericDrug;
	}

	public void setGenericDrug(GenericDrug genericDrug) {
		this.genericDrug = genericDrug;
	}

	public SubstanceDetail getSubstanceDetail() {
		return substanceDetail;
	}

	public void setSubstanceDetail(SubstanceDetail substanceDetail) {
		this.substanceDetail = substanceDetail;
	}
	
	
}